Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.utils
Class FileLocation

    java.lang.Object
      mauda.utils.FileLocation

    public class FileLocation

extends java.lang.Object

Stores the directory and file-settings where to save exercises and additional data

Author:
  Markus Krebs

Field Summary
`static java.lang.String` | `completedPath` Directory where to store totally processed but not evaluated exercises.
`static java.lang.String` | `completedPrefix` The prefix of the filename for storing completely processed but not evaluated exercises.
`static java.lang.String` | `evaluatedPath` Directory where to store completely evaluated exercises.
`static java.lang.String` | `evaluatedPrefix` The prefix of the filename for storing automatically evaluated exercises.
`static java.lang.String` | `inProcessPath` Directory where to store exercises that are in process
`static java.lang.String` | `jedasRecordingFilename` Specifies the filename (with path) for temporary saving of a recorded jedas-animation.
`static java.lang.String` | `unworkedPath` Directory where to store generated but not processed exercises
`static java.lang.String` | `unworkedPrefix` The prefix of the filename for storing new generated exercises.

Constructor Summary
`FileLocation()` Creates a FileLocation

Method Summary
`static void` | `config()` Fills the static variables (path-variables)
`static java.lang.String` | `genFilename(java.lang.String path, java.lang.String savePrefix)` Generates automatically a filename, which currently not exists.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unworkedPath

    public static java.lang.String unworkedPath

  Directory where to store generated but not processed exercises

### inProcessPath

    public static java.lang.String inProcessPath

  Directory where to store exercises that are in process

### evaluatedPath

    public static java.lang.String evaluatedPath

  Directory where to store completely evaluated exercises.

### completedPath

    public static java.lang.String completedPath

  Directory where to store totally processed but not evaluated exercises.

### jedasRecordingFilename

    public static java.lang.String jedasRecordingFilename

  Specifies the filename (with path) for temporary saving of a recorded jedas-animation.

### unworkedPrefix

    public static java.lang.String unworkedPrefix

  The prefix of the filename for storing new generated exercises. A number will be added.

### evaluatedPrefix

    public static java.lang.String evaluatedPrefix

  The prefix of the filename for storing automatically evaluated exercises. A number will be added.

### completedPrefix

    public static java.lang.String completedPrefix

  The prefix of the filename for storing completely processed but not evaluated exercises.

Constructor Detail

### FileLocation

    public FileLocation()

  Creates a FileLocation

Method Detail

### config

    public static void config()

  Fills the static variables (path-variables)

### genFilename

    public static java.lang.String genFilename(java.lang.String path,
                                               java.lang.String savePrefix)

  Generates automatically a filename, which currently not exists.

  Parameters:
    `path` - The destination folder
    `savePrefix` - The prefix for the new filename
  Returns:
    A non-existing filename in the destination folder, which starts with the given prefix

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD